Package net.shibboleth.idp.admin.impl

# Class OutputMetrics.ChainedMetricFilter

java.lang.Object
net.shibboleth.idp.admin.impl.OutputMetrics.ChainedMetricFilter

All Implemented Interfaces:
  `com.codahale.metrics.MetricFilter`

Enclosing class:
  OutputMetrics

private class OutputMetrics.ChainedMetricFilter extends Object implements com.codahale.metrics.MetricFilter
`MetricFilter` that combines two other filters.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final com.codahale.metrics.MetricFilter`
`parentFilter`
Filter to apply before the logger-driven filter.

### Fields inherited from interface com.codahale.metrics.MetricFilter

`ALL`

## Constructor Summary

Constructors
Constructor
Description
`ChainedMetricFilter(com.codahale.metrics.MetricFilter parent)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(String name, com.codahale.metrics.Metric metric)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parentFilter

@Nonnull private final com.codahale.metrics.MetricFilter parentFilter
Filter to apply before the logger-driven filter.

## Constructor Details

### ChainedMetricFilter

public ChainedMetricFilter(@Nonnull com.codahale.metrics.MetricFilter parent)
Constructor.

Parameters:
  `parent` - filter to apply before this one

## Method Details

### matches

public boolean matches(String name, com.codahale.metrics.Metric metric)

Specified by:
  `matches` in interface `com.codahale.metrics.MetricFilter`